### Function

# EDataServer SourceCamel get_type_name

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_camel_get_type_name (
      const gchar* protocol
    )

#### Description [src]

Returns the `GType` name of the registered `ESourceCamel` subtype for `protocol`.

For example, given a protocol named “imap” the function would return “ESourceCamelImap”.

Available since: 3.6

#### Parameters

`protocol`

  Type: `const gchar*`

  A `CamelProvider` protocol.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The `ESourceCamel` type name for `protocol`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.